'use strict';
var typeArray = {
    1 : 'Product',
    2 : 'Licence',
};

var statusArray = {
    4 : 'Rejected',
    2 : 'Completed',
};

function ajaxRequestRedeemedGiftCodes(params) {
    let url = baseURL + "member/redeemed-gift-code-all";
    $.get(url + '?' + $.param(params.data)).then(function (res) {
        params.success(res)
    })
}

function redemptionStatusFormat(value, row) {
    if(value === "Rejected"){
        value = '<span class="status-danger badge-width">Rejected</span>';
    }else if(value === "Completed"){
        value = '<span class="status-success badge-width">Completed</span>';
    }
    return value;
}
